ID(1)

NAZWA
id - drukuj rzeczywiste i efektywne UID oraz GID

SKŁADNIA

id  [-gnruG] [--group] [--name] [--real] [--user]
    [--groups] [--help] [--version] [użytkownik]

OPIS
Ta strona podręcznika opisuje polecenie id w wersji GNU.

id wypisuje informację o podanym użytkowniku lub o procesie, który go uruchomił (w wypadku gdy nie podano użytkownika). Domyślnie drukuje rzeczywisty UID, rzeczywisty GID, efektywny UID (jeśli jest różny od rzeczywistego UID), efektywny GID (jeśli jest różny od rzeczywistego GID) oraz dodatkowe grup dodatkowych. Każda z tych wartości liczbowych jest poprzedzona identyfikującym ją napisem. Za wartością ID znajduje się odpowiadająca mu nazwa użytkownika lub grupy, ujęta w nawiasy.

Opcje powodują, że id wypisuje tylko część powyższej informacji.

OPCJE

-g, --group
    Wypisuje tylko GID.

-G, --groups
    Drukuje tylko grupy dodatkowe.

-n, --name
    Zamiast numeru ID, wypisuje nazwę użytkownika (lub grupy). Wymaga -u, -g, lub -G.

-r, --real
    Wypisuje rzeczywisty (zamiast efektywnego) ID użytkownika lub grupy. Wymaga -u, -g, lub -G.

-u, --user
    Drukuje tylko ID użytkownika.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
users(1), who(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.